<?xml version="1.0" encoding="UTF-8" standalone="yes" ?>
<!DOCTYPE bugzilla SYSTEM "http://bugs.gentoo.org/bugzilla.dtd">

<bugzilla version="2.22.7"
          urlbase="http://bugs.gentoo.org/"
          maintainer="bugzilla@gentoo.org"
>

    <bug>
          <bug_id>68806</bug_id>
          
          <creation_ts>2004-10-25 04:17 0000</creation_ts>
          <short_desc>net-wireless/hostap-utils-0.2.4.ebuild has problems with params to emake.</short_desc>
          <delta_ts>2005-07-17 13:06:51 0000</delta_ts>
          <reporter_accessible>1</reporter_accessible>
          <cclist_accessible>1</cclist_accessible>
          <classification_id>1</classification_id>
          <classification>Unclassified</classification>
          <product>Gentoo Linux</product>
          <component>Unspecified</component>
          <version>unspecified</version>
          <rep_platform>x86</rep_platform>
          <op_sys>Linux</op_sys>
          <bug_status>RESOLVED</bug_status>
          <resolution>DUPLICATE</resolution>
          
          
          
          <priority>P2</priority>
          <bug_severity>critical</bug_severity>
          <target_milestone>---</target_milestone>
          
          
          
          <everconfirmed>1</everconfirmed>
          <reporter>nils@marving.dk</reporter>
          <assigned_to>mobile@gentoo.org</assigned_to>
          <cc>schiotz@fysik.dtu.dk</cc>

      

      
          <long_desc isprivate="0">
            <who>nils@marving.dk</who>
            <bug_when>2004-10-25 04:17:31 0000</bug_when>
            <thetext>The net-wireless/hostap-utils-0.2.4.ebuild fails to emerge on a current (2004-10-25) ~x86 installation. The fix is to apply the patch:

--- hostap-utils-0.2.4.ebuild.orig      2004-10-25 13:09:36.326599536 +0200
+++ hostap-utils-0.2.4.ebuild   2004-10-25 13:09:46.889993656 +0200
@@ -14,7 +14,7 @@
 DEPEND=&quot;&gt;=net-wireless/hostap-driver-0.2.4&quot;

 src_compile() {
-       emake CC=&quot;${CC}&quot; CFLAGS=&quot;${CFLAGS}&quot; || die
+       emake || die
 }

 src_install() {

Reproducible: Always
Steps to Reproduce:
1.
2.
3.</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>latexer@gentoo.org</who>
            <bug_when>2004-10-25 09:08:55 0000</bug_when>
            <thetext>*** Bug 68807 has been marked as a duplicate of this bug. ***</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>henrik@brixandersen.dk</who>
            <bug_when>2004-10-25 09:40:47 0000</bug_when>
            <thetext>Please attach the full error message to this bug report.</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>nils@marving.dk</who>
            <bug_when>2004-10-26 03:29:45 0000</bug_when>
            <thetext>The build fails with:

&gt;&gt;&gt; Source unpacked.
Os -march=pentium3 -pipe -fomit-frame-pointer   -c -o prism2_srec.o prism2_srec.c
make: Os: Command not found
make: [prism2_srec.o] Error 127 (ignored)
Os -march=pentium3 -pipe -fomit-frame-pointer   -c -o util.o util.c
make: Os: Command not found
make: [util.o] Error 127 (ignored)
Os -march=pentium3 -pipe -fomit-frame-pointer    hostap_crypt_conf.c   -o hostap_crypt_conf
make: Os: Command not found
make: [hostap_crypt_conf] Error 127 (ignored)
Os -march=pentium3 -pipe -fomit-frame-pointer   -c -o hostap_diag.o hostap_diag.c
make: Os: Command not found
make: [hostap_diag.o] Error 127 (ignored)
o hostap_io_debug -Os -march=pentium3 -pipe -fomit-frame-pointer hostap_io_debug.c
make: o: Command not found
make: [hostap_io_debug] Error 127 (ignored)
Os -march=pentium3 -pipe -fomit-frame-pointer   -c -o hostap_rid.o hostap_rid.c
make: Os: Command not found
make: [hostap_rid.o] Error 127 (ignored)
prism2_srec.o util.o   -o prism2_srec
make: prism2_srec.o: Command not found
make: *** [prism2_srec] Error 127

!!! ERROR: net-wireless/hostap-utils-0.2.4 failed.
!!! Function src_compile, Line 17, Exitcode 2

which looks like make tries to run the Os compiler...

Since it helped removing the CC and CFLAGS params, it could be another case of bad &quot;&apos;s. Doesn&apos;t emake use the CC and CFLAGS params per default anyway?</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>henrik@brixandersen.dk</who>
            <bug_when>2004-10-26 03:31:56 0000</bug_when>
            <thetext>I wonder why ${CC} is unset on your system...</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>henrik@brixandersen.dk</who>
            <bug_when>2004-10-26 03:38:14 0000</bug_when>
            <thetext>I&apos;ve removed the $CC substitution in hostap-utils-0.2.4.ebuild version 1.2.

Wait a little while, emerge --sync, and see if this fixes the problem for you.</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>henrik@brixandersen.dk</who>
            <bug_when>2004-10-26 03:40:09 0000</bug_when>
            <thetext>Btw, no. Portage doesn&apos;t automatically use $CC and $CFLAGS by default - it just calls make. If the Makefile specifies alternate $CC or $CFLAGS it has to be either overridden on the command line or substituted in the Makefile.</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>nils@marving.dk</who>
            <bug_when>2004-10-26 05:42:00 0000</bug_when>
            <thetext>Aha, so that is emake behaviour...

Yes there is no CC set on any of the Gentoo&apos;s I can currently reach, and they all run ~x86, and they are not identical in setup, just similar. One of them is newly built, still running in the chroot. emerge info has COMPILER=&quot;&quot; though...</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>henrik@brixandersen.dk</who>
            <bug_when>2004-10-27 01:47:02 0000</bug_when>
            <thetext>Did the change mentioned in comment #5 fix compilation for you?</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>nils@marving.dk</who>
            <bug_when>2004-10-27 04:50:55 0000</bug_when>
            <thetext>Yup, comment #5 is fine. Questions about CC continued in bug #68537</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>henrik@brixandersen.dk</who>
            <bug_when>2004-11-02 07:01:50 0000</bug_when>
            <thetext>Reopening</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>henrik@brixandersen.dk</who>
            <bug_when>2004-11-02 07:02:26 0000</bug_when>
            <thetext>

*** This bug has been marked as a duplicate of 69283 ***</thetext>
          </long_desc>
      
    </bug>

</bugzilla>